diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/container.txi
--- a/doc/interpreter/container.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/container.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -176,9 +176,11 @@
 @code{print_struct_array_contents} may be used to enable printing of the
 contents of structure arrays.
 
-@DOCSTRING(struct_levels_to_print)
+@ref{XREFstruct_levels_to_print, , @code{struct_levels_to_print}}: Query or set the internal variable that specifies the number of
+structure lev...
 
-@DOCSTRING(print_struct_array_contents)
+@ref{XREFprint_struct_array_contents, , @code{print_struct_array_contents}}: Query or set the internal variable that specifies whether to print
+struct arr...
 
 Functions can return structures.  For example, the following function
 separates the real and complex parts of a matrix and stores them in two
@@ -505,33 +507,38 @@
 @end group
 @end example
 
-@DOCSTRING(struct)
+@ref{XREFstruct, , @code{struct}}: Create a scalar or array structure and initialize its values.
 
 The function @code{isstruct} can be used to test if an object is a
 structure or a structure array.
 
-@DOCSTRING(isstruct)
+@ref{XREFisstruct, , @code{isstruct}}: Return true if X is a structure or a structure array.
 
 @node Manipulating Structures
 @subsection Manipulating Structures
 
 Other functions that can manipulate the fields of a structure are given below.
 
-@DOCSTRING(numfields)
-
-@DOCSTRING(fieldnames)
+@ref{XREFnumfields, , @code{numfields}}: Return the number of fields of the structure S.
 
-@DOCSTRING(isfield)
+@ref{XREFfieldnames, , @code{fieldnames}}: Return a cell array of strings with the names of the fields in the
+specified ...
 
-@DOCSTRING(setfield)
+@ref{XREFisfield, , @code{isfield}}: Return true if the X is a structure and it includes an element named
+NAME.
 
-@DOCSTRING(getfield)
+@ref{XREFsetfield, , @code{setfield}}: Return a _copy_ of the structure S with the field member FIELD set to
+the val...
 
-@DOCSTRING(rmfield)
+@ref{XREFgetfield, , @code{getfield}}: Get the value of the field named FIELD from a structure or nested
+structure S.
 
-@DOCSTRING(orderfields)
+@ref{XREFrmfield, , @code{rmfield}}: Return a _copy_ of the structure (array) S with the field F removed.
 
-@DOCSTRING(substruct)
+@ref{XREForderfields, , @code{orderfields}}: Return a _copy_ of S1 with fields arranged alphabetically, or as
+specified by...
+
+@ref{XREFsubstruct, , @code{substruct}}: Create a subscript structure for use with 'subsref' or 'subsasgn'.
 
 @node Processing Data in Structures
 @subsection Processing Data in Structures
@@ -545,9 +552,9 @@
 Alternatively, to process the data in a structure, the structure might
 be converted to another type of container before being treated.
 
-@DOCSTRING(struct2cell)
+@ref{XREFstruct2cell, , @code{struct2cell}}: Create a new cell array from the objects stored in the struct object.
 
-@DOCSTRING(namedargs2cell)
+@ref{XREFnamedargs2cell, , @code{namedargs2cell}}: Create a cell array of field name/value pairs from a scalar structure.
 
 @node containers.Map
 @section containers.Map
@@ -559,7 +566,8 @@
 @c        other container types, how to perform basic operations with a Map.
 
 @c FIXME: Currently have trouble getting documentation for classdef functions.
-@DOCSTRING(containers.Map)
+@ref{XREFcontainers_Map, , @code{containers.Map}}: Create an object of the containers.Map class that stores a list of
+key/value ...
 
 @node Cell Arrays
 @section Cell Arrays
@@ -645,7 +653,7 @@
 them by their index, and this can be performed by the @code{celldisp}
 function.
 
-@DOCSTRING(celldisp)
+@ref{XREFcelldisp, , @code{celldisp}}: Recursively display the contents of a cell array.
 
 To test if an object is a cell array, use the @code{iscell}
 function.  For example:
@@ -661,7 +669,7 @@
 @end group
 @end example
 
-@DOCSTRING(iscell)
+@ref{XREFiscell, , @code{iscell}}: Return true if X is a cell array object.
 
 @node Creating Cell Arrays
 @subsection Creating Cell Arrays
@@ -713,17 +721,18 @@
 object, such as @ref{XREFlength,,length}, @ref{XREFnumel,, numel},
 @ref{XREFrows,,rows}, and @ref{XREFcolumns,,columns}.
 
-@DOCSTRING(cell)
+@ref{XREFcell, , @code{cell}}: Create a new cell array object.
 
 As an alternative to creating empty cell arrays, and then filling them, it
 is possible to convert numerical arrays into cell arrays using the
 @code{num2cell}, @code{mat2cell} and @code{cellslices} functions.
 
-@DOCSTRING(num2cell)
+@ref{XREFnum2cell, , @code{num2cell}}: Convert the numeric matrix A to a cell array.
 
-@DOCSTRING(mat2cell)
+@ref{XREFmat2cell, , @code{mat2cell}}: Convert the matrix A to a cell array.
 
-@DOCSTRING(cellslices)
+@ref{XREFcellslices, , @code{cellslices}}: Given an array X, this function produces a cell array of slices from the
+arra...
 
 @node Indexing Cell Arrays
 @subsection Indexing Cell Arrays
@@ -862,7 +871,7 @@
 indexing to the objects within each cell array entry and returns the requested
 values.
 
-@DOCSTRING(cellindexmat)
+@ref{XREFcellindexmat, , @code{cellindexmat}}: Perform indexing of matrices in a cell array.
 
 @node Cell Arrays of Strings
 @subsection Cell Arrays of Strings
@@ -891,7 +900,8 @@
 @end group
 @end example
 
-@DOCSTRING(cellstr)
+@ref{XREFcellstr, , @code{cellstr}}: Create a new cell array object from the elements of the string array
+STRMAT.
 
 One further advantage of using cell arrays to store multiple strings is
 that most functions for string manipulations included with Octave
@@ -923,7 +933,8 @@
 The function @code{iscellstr} can be used to test if an object is a
 cell array of strings.
 
-@DOCSTRING(iscellstr)
+@ref{XREFiscellstr, , @code{iscellstr}}: Return true if every element of the cell array CELL is a character
+string.
 
 @node Processing Data in Cell Arrays
 @subsection Processing Data in Cell Arrays
@@ -939,9 +950,10 @@
 a matrix or a data structure.  Depending on the data this is possible
 using the @code{cell2mat} and @code{cell2struct} functions.
 
-@DOCSTRING(cell2mat)
+@ref{XREFcell2mat, , @code{cell2mat}}: Convert the cell array C into a matrix by concatenating all elements of
+C int...
 
-@DOCSTRING(cell2struct)
+@ref{XREFcell2struct, , @code{cell2struct}}: Convert CELL to a structure.
 
 @node Comma Separated Lists
 @section Comma Separated Lists
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/data.txi
--- a/doc/interpreter/data.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/data.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -32,7 +32,7 @@
 @ref{User-defined Data Types} describes what you must do to define a
 new data type for Octave.
 
-@DOCSTRING(typeinfo)
+@ref{XREFtypeinfo, , @code{typeinfo}}: Return the type of the expression EXPR, as a string.
 
 @menu
 * Built-in Data Types::
@@ -55,19 +55,23 @@
 The data type of a variable can be determined and changed through the
 use of the following functions.
 
-@DOCSTRING(class)
+@ref{XREFclass, , @code{class}}: Return the class of the object OBJ, or create a class with fields from
+struct...
 
-@DOCSTRING(isa)
+@ref{XREFisa, , @code{isa}}: Return true if OBJ is an object from the class CLASSNAME.
 
-@DOCSTRING(cast)
+@ref{XREFcast, , @code{cast}}: Convert VAL to data type TYPE.
 
-@DOCSTRING(typecast)
-
-@DOCSTRING(swapbytes)
+@ref{XREFtypecast, , @code{typecast}}: Return a new array Y resulting from interpreting the data of X in memory
+as d...
 
-@DOCSTRING(bitpack)
+@ref{XREFswapbytes, , @code{swapbytes}}: Swap the byte order on values, converting from little endian to big
+endian an...
 
-@DOCSTRING(bitunpack)
+@ref{XREFbitpack, , @code{bitpack}}: Return a new array Y resulting from interpreting the logical array X as
+raw b...
+
+@ref{XREFbitunpack, , @code{bitunpack}}: Return a logical array Y corresponding to the raw bit patterns of X.
 
 @menu
 * Numeric Objects::
@@ -118,9 +122,11 @@
 case missing data is represented as a special case of the representation
 of @code{NaN}.
 
-@DOCSTRING(NA)
+@ref{XREFNA, , @code{NA}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(isna)
+@ref{XREFisna, , @code{isna}}: Return a logical array which is true where the elements of X are NA
+(missing)...
 
 @node String Objects
 @subsection String Objects
@@ -177,24 +183,26 @@
 data structure type doesn't have rows or columns, so the @code{rows} and
 @code{columns} functions return @minus{}1 for structure arguments.
 
-@DOCSTRING(ndims)
+@ref{XREFndims, , @code{ndims}}: Return the number of dimensions of A.
 
-@DOCSTRING(columns)
+@ref{XREFcolumns, , @code{columns}}: Return the number of columns of A.
 
-@DOCSTRING(rows)
+@ref{XREFrows, , @code{rows}}: Return the number of rows of A.
 
-@DOCSTRING(numel)
+@ref{XREFnumel, , @code{numel}}: Return the number of elements in the object A.
 
-@DOCSTRING(length)
+@ref{XREFlength, , @code{length}}: Return the length of the object A.
 
-@DOCSTRING(size)
+@ref{XREFsize, , @code{size}}: Return a row vector with the size (number of elements) of each dimension
+for ...
 
-@DOCSTRING(isempty)
-
-@DOCSTRING(isnull)
+@ref{XREFisempty, , @code{isempty}}: Return true if A is an empty matrix (any one of its dimensions is zero).
 
-@DOCSTRING(sizeof)
+@ref{XREFisnull, , @code{isnull}}: Return true if X is a special null matrix, string, or single quoted
+string.
 
-@DOCSTRING(size_equal)
+@ref{XREFsizeof, , @code{sizeof}}: Return the size of VAL in bytes.
 
-@DOCSTRING(squeeze)
+@ref{XREFsize_equal, , @code{size_equal}}: Return true if the dimensions of all arguments agree.
+
+@ref{XREFsqueeze, , @code{squeeze}}: Remove singleton dimensions from X and return the result.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/debug.txi
--- a/doc/interpreter/debug.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/debug.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -50,11 +50,14 @@
 the functions @code{debug_on_interrupt}, @code{debug_on_warning}, and
 @code{debug_on_error}.
 
-@DOCSTRING(debug_on_interrupt)
+@ref{XREFdebug_on_interrupt, , @code{debug_on_interrupt}}: Query or set the internal variable that controls whether Octave will try
+to e...
 
-@DOCSTRING(debug_on_warning)
+@ref{XREFdebug_on_warning, , @code{debug_on_warning}}: Query or set the internal variable that controls whether Octave will try
+to e...
 
-@DOCSTRING(debug_on_error)
+@ref{XREFdebug_on_error, , @code{debug_on_error}}: Query or set the internal variable that controls whether Octave will try
+to e...
 
 @node Leaving Debug Mode
 @section Leaving Debug Mode
@@ -62,12 +65,12 @@
 Use either @code{dbcont} or @code{return} to leave the debug mode and
 continue the normal execution of the script.
 
-@DOCSTRING(dbcont)
+@ref{XREFdbcont, , @code{dbcont}}: Leave command-line debugging mode and continue code execution normally.
 
 To quit debug mode and return directly to the prompt without executing
 any additional code use @code{dbquit}.
 
-@DOCSTRING(dbquit)
+@ref{XREFdbquit, , @code{dbquit}}: Quit debugging mode immediately without further code execution.
 
 Finally, typing @code{exit} or @code{quit} at the debug prompt will
 result in Octave terminating normally.
@@ -78,7 +81,7 @@
 Breakpoints can be set in any m-file function by using the @code{dbstop}
 function.
 
-@DOCSTRING(dbstop)
+@ref{XREFdbstop, , @code{dbstop}}: Set breakpoints for the built-in debugger.
 
 @noindent
 Breakpoints in class methods are also supported (e.g.,
@@ -103,14 +106,14 @@
 effectively set to line 29.  The status of breakpoints in a function can
 be queried with @code{dbstatus}.
 
-@DOCSTRING(dbstatus)
+@ref{XREFdbstatus, , @code{dbstatus}}: Report the location of active breakpoints.
 
 @noindent
 Reusing the previous example, @code{dbstatus ("asind")} will return
 29.  The breakpoints listed can then be cleared with the @code{dbclear}
 function.
 
-@DOCSTRING(dbclear)
+@ref{XREFdbclear, , @code{dbclear}}: Delete a breakpoint at line number LINE in the function FUNC.
 
 @noindent
 
@@ -144,7 +147,7 @@
 Another simple way of setting a breakpoint in an Octave script is the
 use of the @code{keyboard} function.
 
-@DOCSTRING(keyboard)
+@ref{XREFkeyboard, , @code{keyboard}}: Stop m-file execution and enter debug mode.
 
 @noindent
 The @code{keyboard} function is placed in a script at the point where the user
@@ -159,21 +162,23 @@
 mode, and to print the code in the script surrounding the point where
 Octave entered debug mode.
 
-@DOCSTRING(dbwhere)
+@ref{XREFdbwhere, , @code{dbwhere}}: In debugging mode, report the current file and line number where
+execution is...
 
-@DOCSTRING(dbtype)
+@ref{XREFdbtype, , @code{dbtype}}: Display a script file with line numbers.
 
-@DOCSTRING(dblist)
+@ref{XREFdblist, , @code{dblist}}: In debugging mode, list N lines of the function being debugged centered
+aroun...
 
 You may also use @code{isdebugmode} to determine whether the debugger is
 currently active.
 
-@DOCSTRING(isdebugmode)
+@ref{XREFisdebugmode, , @code{isdebugmode}}: Return true if in debugging mode, otherwise false.
 
 Debug mode also allows single line stepping through a function using
 the command @code{dbstep}.
 
-@DOCSTRING(dbstep)
+@ref{XREFdbstep, , @code{dbstep}}: In debugging mode, execute the next N lines of code.
 
 When in debug mode the @key{RETURN} key will execute the last entered command.
 This is useful, for example, after hitting a breakpoint and entering
@@ -181,7 +186,8 @@
 with only a single key stroke.  This feature may be disabled using the
 @code{auto_repeat_debug_command} function.
 
-@DOCSTRING(auto_repeat_debug_command)
+@ref{XREFauto_repeat_debug_command, , @code{auto_repeat_debug_command}}: Query or set the internal variable that controls whether debugging
+commands a...
 
 @node Call Stack
 @section Call Stack
@@ -193,11 +199,11 @@
 variables first took on the wrong values.  @code{dbstack} shows the entire
 series of function calls and at what level debugging is currently taking place.
 
-@DOCSTRING(dbstack)
+@ref{XREFdbstack, , @code{dbstack}}: Display or return current debugging function stack information.
 
-@DOCSTRING(dbup)
+@ref{XREFdbup, , @code{dbup}}: In debugging mode, move up the execution stack N frames.
 
-@DOCSTRING(dbdown)
+@ref{XREFdbdown, , @code{dbdown}}: In debugging mode, move down the execution stack N frames.
 
 @node Profiling
 @section Profiling
@@ -218,7 +224,7 @@
 The data is returned in an Octave data structure which can then be
 examined or further processed by other routines or tools.
 
-@DOCSTRING(profile)
+@ref{XREFprofile, , @code{profile}}: Control the built-in profiler.
 
 An easy way to get an overview over the collected data is
 @code{profshow}.  This function takes the profiler data returned by
@@ -240,11 +246,11 @@
 operators.  Furthermore, it is shown how often the function was called
 and the profiler also records that it is recursive.
 
-@DOCSTRING(profshow)
+@ref{XREFprofshow, , @code{profshow}}: Display flat per-function profiler results.
 
-@DOCSTRING(profexport)
+@ref{XREFprofexport, , @code{profexport}}: Export profiler data as HTML.
 
-@DOCSTRING(profexplore)
+@ref{XREFprofexplore, , @code{profexplore}}: Interactively explore hierarchical profiler output.
 
 @node Profiler Example
 @section Profiler Example
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/diagperm.txi
--- a/doc/interpreter/diagperm.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/diagperm.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -63,9 +63,11 @@
 treatment may be disabled by using the functions @dfn{disable_diagonal_matrix}
 and @dfn{disable_permutation_matrix}.
 
-@DOCSTRING(disable_diagonal_matrix)
+@ref{XREFdisable_diagonal_matrix, , @code{disable_diagonal_matrix}}: Query or set the internal variable that controls whether diagonal
+matrices ar...
 
-@DOCSTRING(disable_permutation_matrix)
+@ref{XREFdisable_permutation_matrix, , @code{disable_permutation_matrix}}: Query or set the internal variable that controls whether permutation
+matrices...
 
 The space savings are significant as demonstrated by the following code.
 
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/diffeq.txi
--- a/doc/interpreter/diffeq.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/diffeq.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -56,9 +56,9 @@
 @noindent
 using @nospell{Hindmarsh's} ODE solver @sc{lsode}.
 
-@DOCSTRING(lsode)
+@ref{XREFlsode, , @code{lsode}}: Ordinary Differential Equation (ODE) solver.
 
-@DOCSTRING(lsode_options)
+@ref{XREFlsode_options, , @code{lsode_options}}: Query or set options for the function 'lsode'.
 
 Here is an example of solving a set of three differential equations using
 @code{lsode}.  Given the function
@@ -171,23 +171,31 @@
 @nospell{M. W. Reichelt}, @cite{The MATLAB ODE Suite}, SIAM Journal on
 Scientific Computing, Vol. 18, 1997, pp. 1–22.
 
-@DOCSTRING(ode45)
+@ref{XREFode45, , @code{ode45}}: Solve a set of non-stiff Ordinary Differential Equations (non-stiff
+ODEs) wit...
 
-@DOCSTRING(ode23)
+@ref{XREFode23, , @code{ode23}}: Solve a set of non-stiff Ordinary Differential Equations (non-stiff
+ODEs) wit...
 
-@DOCSTRING(ode23s)
+@ref{XREFode23s, , @code{ode23s}}: Solve a set of stiff Ordinary Differential Equations (stiff ODEs) with a
+Rose...
 
-@DOCSTRING(ode15s)
+@ref{XREFode15s, , @code{ode15s}}: Solve a set of stiff Ordinary Differential Equations (ODEs) or stiff
+semi-exp...
 
-@DOCSTRING(ode15i)
+@ref{XREFode15i, , @code{ode15i}}: Solve a set of fully-implicit Ordinary Differential Equations (ODEs) or
+index...
 
-@DOCSTRING(decic)
+@ref{XREFdecic, , @code{decic}}: Compute consistent implicit ODE initial conditions Y0_NEW and YP0_NEW
+given i...
 
-@DOCSTRING(odeset)
+@ref{XREFodeset, , @code{odeset}}: Create or modify an ODE options structure.
 
-@DOCSTRING(odeget)
+@ref{XREFodeget, , @code{odeget}}: Query the value of the property FIELD in the ODE options structure
+ODE_OPT.
 
-@DOCSTRING(odeplot)
+@ref{XREFodeplot, , @code{odeplot}}: Open a new figure window and plot the solution of an ode problem at each
+time...
 
 @node Differential-Algebraic Equations
 @section Differential-Algebraic Equations
@@ -217,21 +225,21 @@
 is the derivative of @math{x}.  The equation is solved using
 @nospell{Petzold's} DAE solver @sc{daspk}.
 
-@DOCSTRING(daspk)
+@ref{XREFdaspk, , @code{daspk}}: Solve a set of differential-algebraic equations.
 
-@DOCSTRING(daspk_options)
+@ref{XREFdaspk_options, , @code{daspk_options}}: Query or set options for the function 'daspk'.
 
 Octave also includes @sc{dassl}, an earlier version of @sc{daspk},
 and @sc{dasrt}, which can be used to solve DAEs with constraints
 (stopping conditions).
 
-@DOCSTRING(dassl)
+@ref{XREFdassl, , @code{dassl}}: Solve a set of differential-algebraic equations.
 
-@DOCSTRING(dassl_options)
+@ref{XREFdassl_options, , @code{dassl_options}}: Query or set options for the function 'dassl'.
 
-@DOCSTRING(dasrt)
+@ref{XREFdasrt, , @code{dasrt}}: Solve a set of differential-algebraic equations.
 
-@DOCSTRING(dasrt_options)
+@ref{XREFdasrt_options, , @code{dasrt_options}}: Query or set options for the function 'dasrt'.
 
 See @nospell{K. E. Brenan}, et al., @cite{Numerical Solution of Initial-Value
 Problems in Differential-Algebraic Equations}, North-Holland (1989) for
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/errors.txi
--- a/doc/interpreter/errors.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/errors.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -82,7 +82,7 @@
 @qcode{"Octave"} is used for Octave's own errors.  Any other string is
 available as a namespace for user's own errors.
 
-@DOCSTRING(error)
+@ref{XREFerror, , @code{error}}: Display an error message and stop m-file execution.
 
 Since it is common to use errors when there is something wrong with
 the input to a function, Octave supports functions to simplify such code.
@@ -133,11 +133,12 @@
 @end group
 @end example
 
-@DOCSTRING(print_usage)
+@ref{XREFprint_usage, , @code{print_usage}}: Print the usage message for the function NAME.
 
-@DOCSTRING(beep)
+@ref{XREFbeep, , @code{beep}}: Produce a beep from the speaker (or visual bell).
 
-@DOCSTRING(beep_on_error)
+@ref{XREFbeep_on_error, , @code{beep_on_error}}: Query or set the internal variable that controls whether Octave will try
+to r...
 
 @node Catching Errors
 @subsection Catching Errors
@@ -199,9 +200,9 @@
 @end group
 @end example
 
-@DOCSTRING(lasterror)
+@ref{XREFlasterror, , @code{lasterror}}: Query or set the last error message structure.
 
-@DOCSTRING(lasterr)
+@ref{XREFlasterr, , @code{lasterr}}: Query or set the last error message.
 
 The next example counts indexing errors.  The errors are caught using the
 field identifier of the structure returned by the function @code{lasterror}.
@@ -225,7 +226,8 @@
 The functions distributed with Octave can issue one of the following
 errors.
 
-@DOCSTRING(error_ids)
+@ref{XREFerror_ids, , @code{error_ids}}: 'Octave:bad-alloc'
+     Indicates that memory couldn't be allocated.
 
 When an error has been handled it is possible to raise it again.  This
 can be useful when an error needs to be detected, but the program should
@@ -252,13 +254,13 @@
 @end group
 @end example
 
-@DOCSTRING(rethrow)
+@ref{XREFrethrow, , @code{rethrow}}: Reissue a previous error as defined by ERR.
 
 @c FIXME: I have no idea what the rest of the functions are used for...
 
-@DOCSTRING(errno)
+@ref{XREFerrno, , @code{errno}}: Query or set the system-dependent variable errno.
 
-@DOCSTRING(errno_list)
+@ref{XREFerrno_list, , @code{errno_list}}: Return a structure containing the system-dependent errno values.
 
 @node Recovering From Errors
 @subsection Recovering From Errors
@@ -290,7 +292,7 @@
 @end group
 @end example
 
-@DOCSTRING(onCleanup)
+@ref{XREFonCleanup, , @code{onCleanup}}: Create a special object that executes a given function upon destruction.
 
 @node Handling Warnings
 @section Handling Warnings
@@ -348,14 +350,16 @@
 namespace @qcode{"Octave"} is used for Octave's own warnings.  Any other string
 is available as a namespace for user's own warnings.
 
-@DOCSTRING(warning)
+@ref{XREFwarning, , @code{warning}}: Display a warning message or control the behavior of Octave's warning
+system.
 
-@DOCSTRING(lastwarn)
+@ref{XREFlastwarn, , @code{lastwarn}}: Query or set the last warning message.
 
 The functions distributed with Octave can issue one of the following
 warnings.
 
-@DOCSTRING(warning_ids)
+@ref{XREFwarning_ids, , @code{warning_ids}}: 'Octave:abbreviated-property-match'
+     By default, the 'Octave:abbreviated-...
 
 @node Enabling and Disabling Warnings
 @subsection Enabling and Disabling Warnings
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/eval.txi
--- a/doc/interpreter/eval.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/eval.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -27,12 +27,13 @@
 been computed and stored in a string, which is exactly what the
 @code{eval} function lets you do.
 
-@DOCSTRING(eval)
+@ref{XREFeval, , @code{eval}}: Parse the string TRY and evaluate it as if it were an Octave program.
 
 The @code{evalc} function additionally captures any console output
 produced by the evaluated expression.
 
-@DOCSTRING(evalc)
+@ref{XREFevalc, , @code{evalc}}: Parse and evaluate the string TRY as if it were an Octave program, while
+capt...
 
 @menu
 * Calling a Function by its Name::
@@ -88,12 +89,12 @@
 for a list of predicates for numeric objects, and @pxref{Status of
 Variables}, for a description of the @code{exist} function.
 
-@DOCSTRING(feval)
+@ref{XREFfeval, , @code{feval}}: Evaluate the function named NAME.
 
 A similar function @code{run} exists for calling user script files, that
 are not necessarily on the user path
 
-@DOCSTRING(run)
+@ref{XREFrun, , @code{run}}: Run SCRIPT in the current workspace.
 
 @node Evaluation in a Different Context
 @section Evaluation in a Different Context
@@ -183,6 +184,8 @@
 are written in C++ where all Octave variables
 are in the @samp{caller} context and @code{evalin} is not needed.
 
-@DOCSTRING(evalin)
+@ref{XREFevalin, , @code{evalin}}: Like 'eval', except that the expressions are evaluated in the context
+CONTEXT...
 
-@DOCSTRING(assignin)
+@ref{XREFassignin, , @code{assignin}}: Assign VALUE to VARNAME in context CONTEXT, which may be either "base"
+or "ca...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/expr.txi
--- a/doc/interpreter/expr.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/expr.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -422,11 +422,11 @@
 @noindent
 because Octave does not have to repeatedly resize the intermediate result.
 
-@DOCSTRING(sub2ind)
+@ref{XREFsub2ind, , @code{sub2ind}}: Convert subscripts to linear indices.
 
-@DOCSTRING(ind2sub)
+@ref{XREFind2sub, , @code{ind2sub}}: Convert linear indices to subscripts.
 
-@DOCSTRING(isindex)
+@ref{XREFisindex, , @code{isindex}}: Return true if IND is a valid index.
 
 @node Calling Functions
 @section Calling Functions
@@ -605,9 +605,11 @@
 so that instead of exiting with a signal, the interpreter will throw an
 error and return to the command prompt.
 
-@DOCSTRING(max_recursion_depth)
+@ref{XREFmax_recursion_depth, , @code{max_recursion_depth}}: Query or set the internal limit on the number of times a function may be
+call...
 
-@DOCSTRING(max_stack_depth)
+@ref{XREFmax_stack_depth, , @code{max_stack_depth}}: Query or set the internal limit on the number of times a function may be
+call...
 
 @node Access via Handle
 @subsection Access via Handle
@@ -825,48 +827,48 @@
 useful in this case.
 
 @opindex @code{'}
-@DOCSTRING(ctranspose)
+@ref{XREFctranspose, , @code{ctranspose}}: Return the complex conjugate transpose of X.
 
 @opindex .\
-@DOCSTRING(ldivide)
+@ref{XREFldivide, , @code{ldivide}}: Return the element-by-element left division of X and Y.
 
 @opindex -
-@DOCSTRING(minus)
+@ref{XREFminus, , @code{minus}}: This function and X - Y are equivalent.
 
 @opindex \
-@DOCSTRING(mldivide)
+@ref{XREFmldivide, , @code{mldivide}}: Return the matrix left division of X and Y.
 
 @opindex **
 @opindex ^
-@DOCSTRING(mpower)
+@ref{XREFmpower, , @code{mpower}}: Return the matrix power operation of X raised to the Y power.
 
 @opindex /
-@DOCSTRING(mrdivide)
+@ref{XREFmrdivide, , @code{mrdivide}}: Return the matrix right division of X and Y.
 
 @opindex *
-@DOCSTRING(mtimes)
+@ref{XREFmtimes, , @code{mtimes}}: Return the matrix multiplication product of inputs.
 
 @opindex +
-@DOCSTRING(plus)
+@ref{XREFplus, , @code{plus}}: This function and X + Y are equivalent.
 
 @opindex .**
 @opindex .^
-@DOCSTRING(power)
+@ref{XREFpower, , @code{power}}: Return the element-by-element operation of X raised to the Y power.
 
 @opindex ./
-@DOCSTRING(rdivide)
+@ref{XREFrdivide, , @code{rdivide}}: Return the element-by-element right division of X and Y.
 
 @opindex .*
-@DOCSTRING(times)
+@ref{XREFtimes, , @code{times}}: Return the element-by-element multiplication product of inputs.
 
 @opindex @code{.'}
-@DOCSTRING(transpose)
+@ref{XREFtranspose, , @code{transpose}}: Return the transpose of X.
 
 @opindex -
-@DOCSTRING(uminus)
+@ref{XREFuminus, , @code{uminus}}: This function and - X are equivalent.
 
 @opindex +
-@DOCSTRING(uplus)
+@ref{XREFuplus, , @code{uplus}}: This function and + X are equivalent.
 
 @node Comparison Ops
 @section Comparison Operators
@@ -949,27 +951,28 @@
 @xref{Strings}.
 
 @opindex ==
-@DOCSTRING(eq)
+@ref{XREFeq, , @code{eq}}: Return true if the two inputs are equal.
 
 @opindex >=
-@DOCSTRING(ge)
+@ref{XREFge, , @code{ge}}: This function is equivalent to 'X >= Y'.
 
 @opindex >
-@DOCSTRING(gt)
+@ref{XREFgt, , @code{gt}}: This function is equivalent to 'X > Y'.
 
-@DOCSTRING(isequal)
+@ref{XREFisequal, , @code{isequal}}: Return true if all of X1, X2, ... are equal.
 
-@DOCSTRING(isequaln)
+@ref{XREFisequaln, , @code{isequaln}}: Return true if all of X1, X2, ... are equal under the additional
+assumption t...
 
 @opindex <=
-@DOCSTRING(le)
+@ref{XREFle, , @code{le}}: This function is equivalent to 'X <= Y'.
 
 @opindex <
-@DOCSTRING(lt)
+@ref{XREFlt, , @code{lt}}: This function is equivalent to 'X < Y'.
 
 @opindex !=
 @opindex ~=
-@DOCSTRING(ne)
+@ref{XREFne, , @code{ne}}: Return true if the two inputs are not equal.
 
 @node Boolean Expressions
 @section Boolean Expressions
@@ -1066,14 +1069,14 @@
 described for matrix-valued operands.
 
 @opindex &
-@DOCSTRING(and)
+@ref{XREFand, , @code{and}}: Return the logical AND of X and Y.
 
 @opindex ~
 @opindex !
-@DOCSTRING(not)
+@ref{XREFnot, , @code{not}}: Return the logical NOT of X.
 
 @opindex |
-@DOCSTRING(or)
+@ref{XREFor, , @code{or}}: Return the logical OR of X and Y.
 
 @node Short-circuit Boolean Operators
 @subsection Short-circuit Boolean Operators
@@ -1181,7 +1184,8 @@
 short-circuiting is not important, it can be replaced by the @code{ifelse}
 function.
 
-@DOCSTRING(merge)
+@ref{XREFmerge, , @code{merge}}: Merge elements of TRUE_VAL and FALSE_VAL, depending on the value of
+MASK.
 
 @node Assignment Ops
 @section Assignment Expressions
